import math


def summon_dragons(a, b):
    return a + b


def vanish_trolls(a, b):
    return a - b


def brew_potions(a, b):
    return a * b


def cast_division_spell(a, b):
    if b == 0:
        raise ValueError("Attempted to split by zero — the magic council forbids it!")
    return a / b


def conjure_magic_circle_area(radius):
    return math.pi * radius * radius


if __name__ == "__main__":  # pragma: no cover
    print("Welcome to the Wizard's Magic Calculator! 🧙‍♂️✨")
    print("Choose your spell:")
    print("1. Summon dragons 🐉")
    print("2. Vanish trolls 👹")
    print("3. Brew potions 🧪")
    print("4. Cast division spell ✨")
    print("5. Conjure magic circle area 🔮")

    choice = input("Enter your choice (1/2/3/4/5): ")

    if choice == "5":
        radius = float(input("Enter the radius of your magic circle: "))
        result = conjure_magic_circle_area(radius)
        print("\n✨ Magic complete! ✨")
        print(f"Circle area: {result:.2f} spells.")
    else:
        a = float(input("Enter the first magical number: "))
        b = float(input("Enter the second magical number: "))

        if choice == "1":
            result = summon_dragons(a, b)
        elif choice == "2":
            result = vanish_trolls(a, b)
        elif choice == "3":
            result = brew_potions(a, b)
        elif choice == "4":
            result = cast_division_spell(a, b)
        else:
            result = "The spell fizzled! Invalid choice. 🫧"

        print(f"The magic result is: {result}")
